Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#138 Left-clicking sometimes causes continuation of scroll wheel events

open
nobody
mouse (1)
2014-06-30
2014-06-30
No

In the current HEAD, when I have open a program that uses the alternate screen and is not written with mouse support, I am able to send cursor up and down events by using the mouse scroll wheel, per commit 353d1825d5a3a6efb1c3c71d9afbb96ba57cc948. However, it seems that if I left-click within such a pane after having scrolled, the left-click down causes an additional scroll event (which is translated to one or more cursor up or down keypresses), and the left-click up causes yet another. The direction of the scrolling/cursor movement is the same as the last one triggered by actual scrolling, and the number of lines matches the number of lines of the last scroll event too (3 for normal scroll-wheel use and 1 for scroll-wheel with shift held down).

In addition, if I have not scrolled in the alternate-screen app, the "echo" event mimics whatever scrolling I last did in another window or pane, even if that window/pane is not using the alternate screen. Seemingly the only time cursor movement is not triggered by clicks is just after starting the tmux client (restarting the session/server doesn't seem necessary), or after running it for a while but without doing any scrolling.

I have experienced this in tmux HEAD (f8481f9) in iTerm2 1.0.0.20140518 in OS X 10.9.3.

Related

Tickets: #138

Discussion

  • rlblaster
    rlblaster
    2014-07-21

    On 2014-06-30 02:11 +0000, Eric Christopherson wrote:

    However, it seems that if I left-click within such a pane after having
    scrolled, the left-click down causes an additional scroll event

    Some features were stripped from Marcel's original patch when it was
    applied to tmux. Unfortunately the cuts were a little bit too broad.
    I've posted the fix to [1], I think it's only a matter of time when
    it'll be picked up.

    [1] http://sourceforge.net/p/tmux/mailman/message/32495911/

    --
    Balazs

     
    • On Mon, Jul 21, 2014, rlblaster wrote:

      On 2014-06-30 02:11 +0000, Eric Christopherson wrote:

      However, it seems that if I left-click within such a pane after having
      scrolled, the left-click down causes an additional scroll event

      Some features were stripped from Marcel's original patch when it was
      applied to tmux. Unfortunately the cuts were a little bit too broad.
      I've posted the fix to [1], I think it's only a matter of time when
      it'll be picked up.

      [1] http://sourceforge.net/p/tmux/mailman/message/32495911/

      Thanks.

      I previously found that patch and applied it, and it fixed my problem.
      Sorry, I thought I wrote that after submitting the bug.

      --
      Balazs


      [tickets:#138] Left-clicking sometimes causes continuation of scroll wheel events

      Status: open
      Labels: mouse
      Created: Mon Jun 30, 2014 02:11 AM UTC by Eric Christopherson
      Last Updated: Mon Jun 30, 2014 02:11 AM UTC
      Owner: nobody

      In the current HEAD, when I have open a program that uses the alternate screen and is not written with mouse support, I am able to send cursor up and down events by using the mouse scroll wheel, per commit 353d1825d5a3a6efb1c3c71d9afbb96ba57cc948. However, it seems that if I left-click within such a pane after having scrolled, the left-click down causes an additional scroll event (which is translated to one or more cursor up or down keypresses), and the left-click up causes yet another. The direction of the scrolling/cursor movement is the same as the last one triggered by actual scrolling, and the number of lines matches the number of lines of the last scroll event too (3 for normal scroll-wheel use and 1 for scroll-wheel with shift held down).

      In addition, if I have not scrolled in the alternate-screen app, the "echo" event mimics whatever scrolling I last did in another window or pane, even if that window/pane is not using the alternate screen. Seemingly the only time cursor movement is not triggered by clicks is just after starting the tmux client (restarting the session/server doesn't seem necessary), or after running it for a while but without doing any scrolling.

      I have experienced this in tmux HEAD (f8481f9) in iTerm2 1.0.0.20140518 in OS X 10.9.3.


      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/tmux/tickets/138/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Tickets: #138